Last modified: 2014-03-18 20:11:17 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 26422 - Special:Translate does not support PostgreSQL
Special:Translate does not support PostgreSQL
Status: NEW
Product: MediaWiki extensions
Classification: Unclassified
Translate (Other open bugs)
master
All All
: Lowest enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-24 22:24 UTC by chtul4
Modified: 2014-03-18 20:11 UTC (History)
10 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description chtul4 2010-12-24 22:24:31 UTC
Creating translate_sections table...PHP Warning:  pg_query(): Query failed: ERROR:  syntax error at or near "unsigned"
LINE 2:  trs_page int unsigned NOT NULL,
                      ^ in /Users/sites/mywiki/includes/db/DatabasePostgres.php on line 587
Warning: pg_query(): Query failed: ERROR:  syntax error at or near "unsigned"
LINE 2:  trs_page int unsigned NOT NULL,
                      ^ in /Users/sites/mywiki/includes/db/DatabasePostgres.php on line 587
A database error has occurred.  Did you forget to run maintenance/update.php after upgrading?  See: http://www.mediawiki.org/wiki/Manual:Upgrading#Run_the_update_script
Query: CREATE TABLE translate_sections (
 trs_page int unsigned NOT NULL,
 trs_key varchar(255) binary NOT NULL,
 trs_text mediumblob NOT NULL,
 trs_order int unsigned,
 PRIMARY KEY (trs_page, trs_key)
 ) ENGINE=InnoDB

Function: DatabaseBase::sourceFile( /Users/sites/mywiki/mediawiki-1.16.0/extensions/Translate/tag/../translate.sql )
Error: 1 ERROR:  syntax error at or near "unsigned"
LINE 2:  trs_page int unsigned NOT NULL,
                      ^
Comment 1 Siebrand Mazeland 2010-12-26 23:08:37 UTC
Translate is not supported for PostgreSQL as a MediaWiki backend. Please use MediaWiki with a MySQL backend. Patches to make it compatible with PostgreSQL will be accepted and can be attached to this issue.
Comment 2 Diederik van Liere 2011-11-29 20:49:39 UTC
Is this still an issue?
Comment 3 Siebrand Mazeland 2011-11-29 21:11:08 UTC
No, it is not, because we have no intention to support any other DBMS than MySQL for Translate. The previous resolution remains, and reopening this issue is a waste of time. Please set it back to LATER unless you are adding a patch to add PostgreSQL support.
Comment 4 Diederik van Liere 2011-11-29 21:18:58 UTC
So why not label it as WONTFIX if there is no intention to support any other DBMS than MySQL?
Comment 5 Niklas Laxström 2011-12-02 07:38:40 UTC
What Siebrand means is that we are not going to fix the code ourselves or give support but we of course accept patches if provided. This is an enhancement request and thus should stay open though.
Comment 6 Karun 2012-09-08 00:39:50 UTC
I dont think this should block bug 384, as its an extension and its an enhancement as stated in the comments.
Comment 7 Siebrand Mazeland 2013-01-02 15:47:43 UTC
Closing this was WONTFIX. There are no plans whatsoever to get this done.
Comment 8 Nemo 2013-01-02 16:10:51 UTC
(In reply to comment #3)
> No, it is not, because we have no intention to support any other DBMS than
> MySQL for Translate. The previous resolution remains, and reopening this
> issue
> is a waste of time. Please set it back to LATER unless you are adding a patch
> to add PostgreSQL support.

(In reply to comment #7)
> Closing this was WONTFIX. There are no plans whatsoever to get this done.

Siebrand, this is not what WONTFIX means on this bugzilla. LATER is no longer available so "Lowest enhancement" has to be used in its stead, it was decided on wikitech-l.
I'm also setting nobody as assignee so that it's clearer, I think this will be enough to say what you want.
Comment 9 Siebrand Mazeland 2013-01-02 16:22:35 UTC
(In reply to comment #8)
> I'm also setting nobody as assignee so that it's clearer, I think this will
> be enough to say what you want.

No, it isn't. I don't want enhancement requests that will never be addressed clogging my bug triages. It's WONTFIX per description "The problem described is a bug which will never be fixed.", or in other words "PostgreSQL is out of scope for this MediaWiki extensions".
Comment 10 Andre Klapper 2013-01-02 18:09:10 UTC
(In reply to comment #9)
> I don't want enhancement requests that will never be addressed

Apart from whether it's WONTFIX or not, you could exclude lowest priority enhancements from your query.
Comment 11 benmadin 2013-03-28 08:58:21 UTC
Hi,

We are considering patching rather than trying to export and re-import a postgres based wiki to MySQL. Although we changed all the tables, there is clearly some code we will also need to update. 

For example :

Database error
A database query syntax error has occurred. This may indicate a bug in the software. The last attempted database query was:
(SQL query hidden)
from within function ‘MessageGroups::loadGroupDefinitions.’ Database returned error ‘42803: ERROR: column "page.page_id" must appear in the GROUP BY clause or be used in an aggregate function LINE 1: ...CT /* MessageGroups::loadGroupDefinitions Ben */ page_id,pa... ^ .’

I suspect this will take some time - can anyone advise how we can replace the (SQL query hidden) message with the actual query (this is a private wiki at the moment)

cheers

Ben
Comment 12 Siebrand Mazeland 2013-03-28 09:38:19 UTC
(In reply to comment #11)

> can anyone advise how we can replace the
> (SQL query hidden) message with the actual query

See https://www.mediawiki.org/wiki/Manual:How_to_debug#SQL_errors
Comment 13 Niklas Laxström 2013-03-28 10:56:20 UTC
$wgShowSQLErrors        = true;

Though you don't really need it because you can just have a look at MessageGroups::loadGroupDefinitions. Patches welcome.
Comment 14 Gerrit Notification Bot 2013-11-28 02:09:01 UTC
Change 98045 had a related patch set uploaded by Lethosor:
Add PostgreSQL compatibility to Translate extension

https://gerrit.wikimedia.org/r/98045
Comment 15 Gerrit Notification Bot 2014-03-18 18:46:52 UTC
Change 98045 abandoned by Lethosor:
Add PostgreSQL compatibility to Translate extension

Reason:
Stale

https://gerrit.wikimedia.org/r/98045

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links